<!--The content below is only a placeholder and can be replaced.-->
<div class="navbar">
  <span (click)='displayNotifications = !displayNotifications'>
  <span *ngIf='noOfnotifications > 0' class="noOfnotifications">{{noOfnotifications}}</span>
    <i class="material-icons">notifications</i>
  </span>

  <h3>    {{userName}}  </h3>

  <div class="notificationsContainer" *ngIf="displayNotifications">
      
      <p class='date'>{{todaysDate | date:'EEEE'}} {{todaysDate | date:'longDate'}}</p>     
      <div class="notificationSummary">
            <p> 
                <span class="summaryCounts">{{assignedTasksCount}} </span> 
                <span class="countLabels"> Assigned Tasks </span> 
            </p>
            <p> 
                <span class="summaryCounts">{{remindersCount}} </span> 
                <span class="countLabels"> Reminders </span> 
            </p>
            <p>
                <span class="summaryCounts"> {{ notificationsCount}}</span> 
                <span class="countLabels"> Notifications </span> 
            </p>
      </div>
      <p class="workspaceLink"><a href="#"> Got to My Workspace &#62;</a></p>     
      <ul class="notificationsList">
        <li *ngFor="let notification of notificationsList">
            <h2>{{notification.arrivalTime}}</h2>
            <!-- <h2>2 seconds</h2> -->
            <span><i class="material-icons">close</i></span>
            <p>{{notification.text}} <a href="#"> {{notification.linkText}} &#62;</a></p>
            <hr>
        </li>
      </ul>
  </div>
</div>


